### Method

# Gtk TreeView set_tooltip_cell

#### Declaration [src]

    void
    gtk_tree_view_set_tooltip_cell (
      GtkTreeView* tree_view,
      GtkTooltip* tooltip,
      GtkTreePath* path,
      GtkTreeViewColumn* column,
      GtkCellRenderer* cell
    )

#### Description [src]

Sets the tip area of `tooltip` to the area `path`, `column` and `cell` have in common. For example if `path` is `NULL` and `column` is set, the tip area will be set to the full area covered by `column`. See also gtk_tooltip_set_tip_area().

Note that if `path` is not specified and `cell` is set and part of a column containing the expander, the tooltip might not show and hide at the correct position. In such cases `path` must be set to the current node under the mouse cursor for this function to operate correctly.

See also gtk_tree_view_set_tooltip_column() for a simpler alternative.

#### Parameters

`tooltip` | `GtkTooltip`
| A `GtkTooltip`.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| A `GtkTreePath`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`column` | `GtkTreeViewColumn`
| A `GtkTreeViewColumn`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cell` | `GtkCellRenderer`
| A `GtkCellRenderer`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.